Kebutuhan Lingkungan JavaScript

React 16 membutuhkan tipe data collection seperti Map dan Set. Jika kamu ingin mendukung browser dan perangkat lama yang mungkin belum menyediakannya secara langsung (contoh: IE < 11) atau browser yang mengimplementasikannya dengan tidak sesuai (contoh: IE 11), mohon menambahkan polyfill global di bundel aplikasi, seperti core-js atau babel-polyfill.

Lingkungan untuk React 16 yang sudah ditambahkan polyfill menggunakan core-js untuk mendukung browser lama mungkin terlihat seperti berikut:

import 'core-js/es/map';
import 'core-js/es/set';

import React from 'react';
import ReactDOM from 'react-dom';

ReactDOM.render(
  <h1>Halo, dunia!</h1>,
  document.getElementById('root')
);

React juga membutuhkan requestAnimationFrame (termasuk di lingkungan test). Kamu dapat menggunakan package raf untuk mendukung requestAnimationFrame:

import 'raf/polyfill';